Bug 440470 - i8042.c: No controller found.
i8042.c: No controller found.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-03 13:46 EDT by Eelco Hoekema
Modified: 2014-12-13 04:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:19:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg (29.95 KB, text/plain)
2008-04-03 16:48 EDT, Eelco Hoekema
no flags Details

  None (edit)
Description Eelco Hoekema 2008-04-03 13:46:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv: Gecko/20080325 Fedora/ Firefox/

Description of problem:
Since i upgraded to 2.6.24, i get this message at bootup (first screen after grub):

i8042.c: No controller found.

Don't know what it means, and there are no further problems booting or functioning (so no high priority). 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot up the computer

Actual Results:
i8042.c: No controller found.

Expected Results:
(no message)

Additional info:
Hardware: macbook (2006 model).
Comment 1 Pete Zaitcev 2008-04-03 14:07:02 EDT
Macbook probably uses a USB keyboard (yea, odd, I know). The way to
know is to attach the complete dmesg (please do not just drop it
into the comments box).
Comment 2 Eelco Hoekema 2008-04-03 16:48:07 EDT
Created attachment 300345 [details]
Comment 3 Pete Zaitcev 2008-04-03 18:34:23 EDT
Right, it says:

input,hidraw0: USB HID v1.11 Keyboard [Apple Computer Apple Internal Keyboard /
Trackpad] on usb-0000:00:1d.0-2

I see what the problem is. The system boots with "quiet":
 "ro root=/dev/VolGroup00/LogVol00 rhgb quiet"
So, the "i8042.c: No controller found" is seen on otherwise empty
screen because its level is improperly high (it prints with KERN_ERR).
Oh brother... I guess someone needs to tell Dmitry and linux-input.
They probably expected i8042_platform_init to filter out Macs.
Comment 4 Bug Zapper 2008-11-26 05:22:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-01-09 01:19:10 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Vincent 2014-12-11 01:48:00 EST
Why is this closed? There is always a way to fix an issue..
Comment 7 oradir1 2014-12-13 04:07:09 EST
Whether a patch can repair

Note You need to log in before you can comment on or make changes to this bug.